org.apache.commons.codec.language

## Class Caverphone2

- java.lang.Object
- - org.apache.commons.codec.language.AbstractCaverphone
  - - org.apache.commons.codec.language.Caverphone2

- All Implemented Interfaces:
    Encoder, StringEncoder

      public class Caverphone2
      extends AbstractCaverphone

  Encodes a string into a Caverphone 2.0 value. This is an algorithm created by the Caversham Project at the University of Otago. It implements the Caverphone 2.0 algorithm:
  Since:
    1.5

    This class is immutable and thread-safe.

  Version:
    $Id: Caverphone.java 1075947 2011-03-01 17:56:14Z ggregory $
  See Also:
    Wikipedia - Caverphone, Caverphone 2.0 specification

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Caverphone2()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encode(String source)` Encodes the given String into a Caverphone 2.0 value.

    - ### Methods inherited from class org.apache.commons.codec.language.AbstractCaverphone

      `encode, isEncodeEqual`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Caverphone2

          public Caverphone2()

  - ### Method Detail

    - #### encode

          public String encode(String source)

      Encodes the given String into a Caverphone 2.0 value.
      Parameters:
        `source` - String the source string
      Returns:
        A caverphone code for the given String

Copyright © 2002-2013 The Apache Software Foundation. All Rights Reserved.